AOMedia AV1 Codec: Data Fields - Variables

| AOMedia AV1 Codec

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - f -

- f : aom_partition_features_ab, aom_partition_features_before_none, aom_partition_features_none, aom_partition_features_rect
- f_part2 : aom_partition_features_before_none
- f_prune_rect : aom_partition_features_split
- f_terminate : aom_partition_features_none, aom_partition_features_split
- fb_of_context_type : AV1_PRIMARY
- fb_priv : aom_image
- fc : AV1Common
- features : AV1Common
- film_grain_params : AV1Common
- film_grain_table : AV1_COMP
- filter : COMP_RD_STATS
- filter_frame_idx : TemporalFilterCtx
- filter_intra_cost : ModeCosts
- filter_intra_mode_cost : ModeCosts
- filter_intra_mode_info : MB_MODE_INFO
- filter_level : AV1_PRIMARY
- filter_level_u : AV1_PRIMARY
- filter_level_v : AV1_PRIMARY
- find_fractional_mv_step : MotionVectorSearchParams
- first_ts_start : TimeStamps
- firstpass_data : AV1_COMP
- firstpass_mb_stats : aom_codec_cx_pkt
- firstpass_mt_exit : AV1EncRowMultiThreadInfo
- fixed_qp_offsets : aom_codec_enc_cfg
- flags : aom_codec_cx_pkt
- flush : AV1_COMP_DATA
- fmt : aom_image
- fn_ptr : AV1_PRIMARY
- force_color_check_block_level : macroblock
- force_integer_mv : aom_screen_content_tools_info
- force_intpel_info : AV1_COMP
- force_zero_mode_spatial_ref : SVC
- force_zeromv_skip_for_blk : macroblock
- force_zeromv_skip_for_sb : macroblock
- fp_block_size : AV1_COMP
- fp_sf : SPEED_FEATURES
- frame : aom_codec_cx_pkt, FIRSTPASS_STATS
- frame_avg_wavelet_energy : FIRSTPASS_STATS
- frame_base : MBMIExtFrameBufferInfo
- frame_boundary : CdefBlockInfo
- frame_diff : TEMPORAL_FILTER_INFO
- frame_header_count : AV1_COMP
- frame_height : aom_partition_features
- frame_idx : TplParams
- frame_index_set : AV1_COMP
- frame_info : AV1_COMP
- frame_mv : InterModeSearchStateNonrd
- frame_mv_best : InterModeSearchStateNonrd
- frame_new_probs : AV1_COMP
- frame_parameter_update : HIGH_LEVEL_SPEED_FEATURES
- frame_presentation_time : AV1Common
- frame_probs : AV1_PRIMARY
- frame_restoration_type : RestorationInfo
- frame_size : AV1_COMP_DATA
- frame_size_related_setup_done : AV1_COMP
- frame_type : EncodeFrameParams
- frame_width : aom_partition_features
- framedrop_mode : SVC
- framerate : AV1_COMP
- framerate_factor : aom_svc_params
- frames : TemporalFilterCtx
- frames_left : AV1_PRIMARY
- frames_since_golden : RATE_CONTROL
- frames_since_last_update : AV1_COMP
- frames_till_gf_update_due : RATE_CONTROL
- frames_to_key : RATE_CONTROL
- free_mi : CommonModeInfoParams
- full_still_picture_hdr : aom_codec_enc_cfg
- future_stats_count : FIRSTPASS_INFO
- fwd_kf_dist : KeyFrameCfg
- fwd_kf_enabled : aom_codec_enc_cfg, KeyFrameCfg